<script setup lang="ts">
import { useGallery } from "@/stores/gallery";
import BaseButton from "@/components/BaseButton.vue";

const galleryStore = useGallery();

defineEmits<{
  (e: "retry"): void;
  (e: "finish"): void;
}>();
</script>

<template>
  <article
    v-if="galleryStore.error"
    class="wrapper"
    role="document"
    id="image-upload-error"
  >
    <h2 class="heading">Error!</h2>
    <p class="description">
      {{ `${galleryStore.error.message}` }}
    </p>
    <div class="buttons">
      <BaseButton
        type="button"
        class="btn"
        @click="$emit('retry')"
        aria-controls="image-upload-error"
      >
        Try again
      </BaseButton>
      <BaseButton
        type="submit"
        class="btn btn-finish"
        @click="$emit('finish')"
        aria-controls="image-upload-error"
      >
        Finish
      </BaseButton>
    </div>
  </article>
</template>

<style lang="scss" scoped>
.wrapper {
  padding: 3.6rem 3.2rem;
  display: grid;
  justify-items: center;
  font-weight: 500;
  line-height: 1.375;
  color: var(--color-grey-dark);
}

.heading {
  letter-spacing: -0.035em;
  color: var(--color-alert);
  margin-bottom: 1.2rem;
  text-align: center;
  width: max-content;
}

.description {
  font-size: 1.8rem;
  margin-bottom: 2.4rem;
}

.buttons {
  display: flex;
  column-gap: 2rem;
}

.btn {
  width: 10rem;
  height: 5rem;
  color: var(--color-light);
}

.btn-finish {
  background-color: var(--color-success);
  box-shadow: var(--box-shadow-size) var(--color-success-shadow-light);
}
</style>
